> For the complete documentation index, see [llms.txt](https://docs.certhis.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.certhis.io/gate.md).

# GATE

## GET Gates

#### Example of request:

```
https://api.certhis.io/collection/gates
```

{% tabs %}
{% tab title="REQUEST" %}

<table><thead><tr><th width="319">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>collection_index</td><td>the <code>int</code> representing the collection ID</td></tr></tbody></table>
{% endtab %}

{% tab title="RESPONSE" %}

```
{
    "status": true,
    "message": "get_gates",
    "data": [
        {
            "banner_url": "https://utility-apps-assets.certhis.io/upload/2024/12/18/74842410-bd38-11ef-999c-b3d8c7126872.png",
            "id": 490,
            "title": "Essayez notre carte, créez la vôtre !",
            "description": "Vous voulez créer votre propre carte de membre personnalisée? Avec Snapss, transformez chaque visiteur en membre fidèle. Essayez notre carte de membre et créez ensuite la vôtre!",
            "permissions": {
                "public": true,
                "max_claim": 0,
                "installed_pass": true,
                "check_attributes": [],
                "form": [
                    {
                        "type": "phone_number",
                        "label": "Phone number",
                        "name": "phone_number",
                        "required": false
                    }
                ]
            },
            "action": {
                "update_attributes": [
                    {
                        "name": "points",
                        "operation": "add",
                        "value": 2
                    }
                ]
            },
            "public": 1
        },
        {
            "banner_url": "https://utility-apps-assets.certhis.io/upload/2024/12/10/9c839b30-b6f8-11ef-8cf7-73e46dd2efdd.png",
            "id": 456,
            "title": "10% on your Subscription",
            "description": "Enjoy 10% OFF on all subscriptions and take your customer engagement to the next level. Don’t miss this limited-time offer!",
            "permissions": {
                "public": true,
                "max_claim": 0,
                "installed_pass": true,
                "check_attributes": [],
                "form": [
                    {
                        "type": "phone_number",
                        "label": "Phone number",
                        "name": "phone_number",
                        "required": false
                    }
                ]
            },
            "action": {
                "update_attributes": []
            },
            "public": 1
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certhis.io/gate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
